Package Gnumed :: Package pycommon :: Module gmConfigCommon :: Class ConfigSourceFile |
[frames] | no frames]

# Class ConfigSourceFile

source code

    ConfigSource --+
                   |
                  ConfigSourceFile

Interface to access config data and definitions in a config file.

Instance Methods
__init__(self, aSourceName=None, aFileName=None) | source code
GetFullPath(self) | source code
Inherited from `ConfigSource`: `addConfigParam`, `castType`, `getAllParamNames`, `getConfigData`, `getDescription`, `getParamType`, `getRawName`, `hasDefinition`, `hasParameterDefinition`, `isValid`, `setConfigData`

Method Details

### __init__(self, aSourceName=None, aFileName=None) (Constructor) | source code
Overrides: ConfigSource.__init__